// Class: ExampleHelpMenu
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import edu.kzoo.grid.gui.nuggets.BasicHelpMenu;

/**
 *  Grid Package Examples:<br>
 * 
 *    The ExampleHelpMenu class provides a help menu that can be
 *    used by all but the simplest of the example programs that
 *    illustrate features of the Grid Package class library.
 *
 *  @author Alyce Brady
 *  @version 30 July 2004
 **/
public class ExampleHelpMenu extends BasicHelpMenu
{
    /** Constructs a help menu that can be used by a number of the
     *  example programs that illustrate features of the Grid Package
     *  class library.
     *     @param applName the name of this application, to be used in the
     *                  "About This_Application..." menu item;
     *                  <code>null</code> if there should not be an
     *                  "About This_Application..." menu item
     *     @param versionInfo version information (for example, date or
     *                  version number) to be included in the
     *                  "About This_Application..." dialog box;
     *                  <code>null</code> if the "About" information should
     *                  not include version information
     */
    public ExampleHelpMenu(String applName, String versionInfo)
    {
        super(applName, "Alyce Brady",
           "The Grid Package was inspired by the AP Marine Biology " +
            "Simulation Case Study,<br> whose graphical user interface " +
            "code was written primarily by Julie Zelenski.", versionInfo);
    } 

}
