

// Class: Person
//
// Author: Joel Booth
//
// Created on 9 November 2004
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import edu.kzoo.grid.GridObject;
import edu.kzoo.util.NamedColor;

import java.awt.Color;

/**
 *  @author Joel Booth
 *  @version 9 November 2004
 **/
public class Person extends GridObject
{

	/* Instance Variables */
	private int age;
	private String name;
	private Color bodyColor;
	
	/** Construcs a new Person object
	 */
	public Person() 
	{
		bodyColor = NamedColor.BROWN;
		age = 0;
		name = "Default Person";
	}
	
    /** Constructs a new Person object.
     * @param bc The body color of the person 	  
     */
    public Person(Color bc)
    {
    	bodyColor = bc;
		age = 0;
		name = "Default Person";
    }

	/** Get the body color of the person
	 * @return The body color of the person
	 */
    public Color getBodyColor()
    {
    	return bodyColor;
    }
    
    /** Get the person's age
     * 
     * @return The age
     */
    public int getAge()
    {
    	return age;
    }
    
    /** Set the age
     * 
     * @param a The age
     */
    public void setAge(int a)
    {
    	age = a;
    }
    
    /** Get the person's name
     * 
     * @return The name
     */
    public String getName()
    {
    	return name;
    }
    
    /** Set the name
     * 
     * @param n The name
     */
    public void setName(String n)
    {
    	name = n;
    }
}
