// Class: RotatedColorObject2
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import java.awt.Color;

import edu.kzoo.grid.Direction;
import edu.kzoo.grid.Grid;
import edu.kzoo.grid.Location;

/**
 *  Grid Container Package:<br>
 *
 *  A <code>RotatedColorObject2</code> object represents a second class
 *  (in addition to <code>RotatedColorObject</code>)for a colored object
 *  in a grid that is facing a direction and keeps track of its direction
 *  as well as its location and color.
 *
 *  @author Alyce Brady
 *  @version 5 March 2005
 *  @see Grid
 *  @see Location
 *  @see Direction
 **/
public class RotatedColorObject2 extends RotatedColorObject
{
    /** Constructs a colored object facing the specified direction.
     *  @param grid        the grid containing this object
     *  @param loc         the location of the object in <code>grid</code>
     *  @param dir         the direction the object is facing
     *  @param color       the color for this object
     **/
    public RotatedColorObject2(Grid grid, Location loc, Direction dir,
                                   Color color)
    {
        super(grid, loc, dir, color);
    }

}
