// Class: RotatedColorObjectDisplay
//
// Author: Alyce Brady 
//
// Created on Mar 6, 2005
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import edu.kzoo.grid.Direction;
import edu.kzoo.grid.display.RotatedDecorator;
import edu.kzoo.grid.display.ScaledImageDisplay;
import edu.kzoo.grid.display.ScaledImageTintDecorator;

/**
 *  Grid Package Examples:<br>
 *
 *  A <code>RotatedColorObjectDisplay</code> object displays an object using
 *  a rotated, tinted scaled image display.
 *
 *  @author Alyce Brady
 *  @version Mar 6, 2005
 **/
public class RotatedColorObjectDisplay extends ScaledImageDisplay
{

    /** Constructs a new RotatedColorObjectDisplay object.
     * 	  
     */
    public RotatedColorObjectDisplay()
    {
        super("smallfish.gif");
        addDecorator(new RotatedDecorator(Direction.EAST));
        addDecorator(new ScaledImageTintDecorator());
    }

}
