/*
 * File: CancelledException.java
 * -----------------------------
 * This file defines an exception class for reporting cancellation
 * of a dialog or input request in the ACM package suite.
 */

// ************************************************************************
// *  For the beta release, the source code for the libraries continues   *
// *  to be licensed under the following Creative Commons license:        *
// *                                                                      *
// *                 Attribution-NonCommercial-NoDerivs                   *
// *                                                                      *
// *  When the final release is posted, we plan to reduce these           *
// *  restrictions to allow any use, protecting only the ACM's right      *
// *  to prevent others from selling these libraries as their own.        *
// ************************************************************************

package acm.util;

/* Class: CancelledException */
/**
 * This class allows a dialog to signal clients that it has been
 * cancelled.  Because <code>CancelledException</code> is a subclass
 * of <code>RuntimeException</code>, this exception need not be declared
 * in <code>throws</code> clauses.
 */

public class CancelledException extends RuntimeException {

/* Constructor: CancelledException() */
/**
 * Creates an <code>CancelledException</code>.
 *
 * @usage throw new CancelledException();
 */
	public CancelledException() {
		/* Empty */
	}
}
