import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class ButtonPanel extends JPanel implements ActionListener
{
  
  ////////////////// fields ////////////////////////////
  private JButton quitButton = new JButton("Quit");
  private JButton changeButton = new JButton("Chage");
  private Color[] colorArray = {Color.white, Color.pink, Color.yellow};
  private int colorIndex = 1;
  
  //////////////// constructors /////////////////////////
  public ButtonPanel ()
  {
    add(changeButton);
    changeButton.addActionListener(this);
    add(quitButton);
    quitButton.addActionListener(this);
  }
  
  /////////////// methods ///////////////////////////
  
  /**
   * Method to handle when the button was pushed
   */
  public void actionPerformed(ActionEvent evt)
  {
    if (evt.getSource() == changeButton)
      changeColor();
    else if (evt.getSource() == quitButton)
      System.exit(0);  // exit the application
  }
  
  /**
   * Method to change the background color of this panel
   */
  public void changeColor()
  {
    // increment the current color index
    colorIndex++;
    
    // if greater than the last valid index reset to 0
    if (colorIndex >= colorArray.length)
      colorIndex = 0;
    
    // set the background color
    this.setBackground(colorArray[colorIndex]);
  }
  
  /**
   * Main method for testing
   */
  public static void main(String[] argv)
  {
    JFrame frame = new JFrame("ButtonPanel");
    frame.getContentPane().add(new ButtonPanel());
    frame.pack();
    frame.setVisible(true);
  }
}
