/** FrameDemo - displays a frame with a simple label in it
 * to show the basics of working with a JFrame
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FrameDemo extends JFrame {
  
  //////////// attributes ///////////////////////////
  BorderLayout borderLayout1 = new BorderLayout();
  JLabel infoLabel = new JLabel();
  
  
  //////////////// constructors ///////////////////////
  
  /** Constructor that takes no arguments */
  public FrameDemo() {
    init();
  }
  
  /** Constructor that takes the title for the frame */
  public FrameDemo (String title)
  {
    super(title); // pass the title to JFrame constructor
    init(); // initialize the frame
  }
  
  ////////////////// methods //////////////////////////////
  
  /**
   * Method to initialize the frame
   */
  private void init()
  {
    infoLabel.setText("Hello World");
    this.getContentPane().setLayout(borderLayout1);
    this.getContentPane().add(infoLabel, BorderLayout.CENTER);
  }
  
  /** Main method for calling as an application */
  public static void main(String s[])
  {
    
    // create a frame with the title FrameDemo
    FrameDemo frameDemo = new FrameDemo("Frame Demo");
    
    // set the frame's size to the size it needs to be to fit the contents
    frameDemo.pack();
    
    // display the frame
    frameDemo.setVisible(true);
  }
  
}
