/** MessageCanvas is a canvas that displays a text message 
    Author: Barb Ericson
    Java Version: 1.0+
 */
import java.awt.*;
import java.awt.event.*;

public class MessageCanvas extends Canvas
{
	/********* Private Attributes ******************/
	private String message = "Hello World";	// default message to display
	private int x = 5;	// left side of message
	private int y = 50;	// baseline of message
	private int width = 200;	// canvas width
	private int height = 100;	// canvas height

	/********* Constructors *************************/

	/** Constructor that takes no parameters */
	public MessageCanvas()
	{
		resize(width,height);	// you must set the size with a canvas
	}

	/** Constructor that takes a message to display */
	public MessageCanvas(String theMessage)
	{
		message = theMessage;
		resize(width,height);	// you must set the size with a canvas
	}

	/********* Public Methods *********************/
	public void paint(Graphics g)
	{
		g.drawString(message,x,y);	// draw the message
	}

	/*********** Main for testing as an application **/
	public static void main(String argv[])
	{
		Frame frame = new Frame(); 	// create frame for display
		MessageCanvas messageCanvas = new MessageCanvas();
		frame.add(messageCanvas);	// add message canvas to frame

		frame.pack(); 			// set size to smallest allowed
		frame.show();			// display the frame
	}	
}