
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
/**
 * Title:       PersonFrame
 * Description:  <p>Gathers or displays information about a person
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author  Barb Ericson
 * @version 1.0
 */

public class PersonFrame extends JFrame {
  JLabel firstNameLabel = new JLabel();
  JTextField firstNameField = new JTextField();
  JLabel lastNameLabel = new JLabel();
  JTextField lastNameField = new JTextField();
  JLabel ageGroupLabel = new JLabel();
  String ageGroup[] = {"17 and Under", "18 to 25", "26 to 45", "46 to 65", "over 65"};
  JComboBox ageGroupComboBox = new JComboBox(ageGroup);
  JLabel colorLabel = new JLabel();
  String colorArray[] = {"Red","Green","Pink","Yellow"};
  JList colorList = new JList(colorArray);
  JLabel genderLabel = new JLabel();
  JRadioButton femaleButton = new JRadioButton();
  JRadioButton maleButton = new JRadioButton();
  ButtonGroup genderGroup = new ButtonGroup();
  JLabel itemLabel = new JLabel();
  JCheckBox tvBox = new JCheckBox();
  JCheckBox vcrBox = new JCheckBox();
  JCheckBox cellPhoneBox = new JCheckBox();
  JTextArea outputArea = new JTextArea();
  JButton submitButton = new JButton();
  JMenuBar menuBar = new JMenuBar();
  JMenu actionMenu = new JMenu("Action");
  JMenuItem quitItem = new JMenuItem("Quit");
  JMenuItem resetItem = new JMenuItem("Reset");
  
  public PersonFrame() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    
    // add the radio buttons to the radio button group
    genderGroup.add(femaleButton);
    genderGroup.add(maleButton);
    
    // set up the menu bar
    menuBar.add(actionMenu);
    actionMenu.add(resetItem);
    resetItem.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        resetAllItems();
      }
    });
    actionMenu.add(quitItem);
    quitItem.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        System.exit(0);
      }
    });
    this.setJMenuBar(menuBar);
  }
  
  private void jbInit() throws Exception {
    firstNameLabel.setFont(new java.awt.Font("Dialog", 1, 20));
    firstNameLabel.setText("First Name:");
    firstNameLabel.setBounds(new Rectangle(13, 31, 122, 44));
    this.getContentPane().setBackground(Color.white);
    this.setDefaultCloseOperation(3);
    this.setResizable(true);
    this.setTitle("Person Frame");
    this.getContentPane().setLayout(null);
    firstNameField.setBackground(Color.lightGray);
    firstNameField.setBounds(new Rectangle(156, 22, 253, 53));
    lastNameLabel.setBounds(new Rectangle(13, 101, 122, 44));
    lastNameLabel.setText("Last Name:");
    lastNameLabel.setFont(new java.awt.Font("Dialog", 1, 20));
    lastNameField.setBackground(Color.lightGray);
    lastNameField.setBounds(new Rectangle(156, 92, 253, 53));
    ageGroupLabel.setFont(new java.awt.Font("Dialog", 1, 20));
    ageGroupLabel.setText("Age Group:");
    ageGroupLabel.setBounds(new Rectangle(13, 160, 122, 44));
    ageGroupComboBox.setBounds(new Rectangle(156, 165, 246, 33));
    colorLabel.setBounds(new Rectangle(13, 210, 149, 44));
    colorLabel.setText("Favorite Color:");
    colorLabel.setFont(new java.awt.Font("Dialog", 1, 20));
    colorList.setBackground(Color.lightGray);
    colorList.setBorder(BorderFactory.createLineBorder(Color.black));
    colorList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    colorList.setVisibleRowCount(4);
    colorList.setBounds(new Rectangle(164, 213, 204, 78));
    genderLabel.setBounds(new Rectangle(13, 296, 98, 44));
    genderLabel.setText("Gender:");
    genderLabel.setFont(new java.awt.Font("Dialog", 1, 20));
    femaleButton.setBackground(Color.white);
    femaleButton.setText("Female");
    femaleButton.setBounds(new Rectangle(261, 304, 77, 29));
    maleButton.setBounds(new Rectangle(161, 304, 77, 29));
    maleButton.setText("Male");
    maleButton.setSelected(true);
    maleButton.setBackground(Color.white);
    itemLabel.setFont(new java.awt.Font("Dialog", 1, 20));
    itemLabel.setText("Items Owned:");
    itemLabel.setBounds(new Rectangle(13, 337, 147, 44));
    tvBox.setBackground(Color.white);
    tvBox.setText("TV");
    tvBox.setBounds(new Rectangle(161, 347, 46, 25));
    vcrBox.setBounds(new Rectangle(226, 347, 46, 25));
    vcrBox.setText("VCR");
    vcrBox.setBackground(Color.white);
    cellPhoneBox.setBackground(Color.white);
    cellPhoneBox.setText("Cell Phone");
    cellPhoneBox.setBounds(new Rectangle(289, 347, 110, 25));
    outputArea.setWrapStyleWord(true);
    outputArea.setRows(3);
    outputArea.setBackground(Color.lightGray);
    outputArea.setBorder(BorderFactory.createLineBorder(Color.black));
    outputArea.setBounds(new Rectangle(13, 427, 397, 99));
    submitButton.setText("Submit");
    submitButton.setBounds(new Rectangle(149, 381, 109, 33));
    submitButton.addActionListener(new java.awt.event.ActionListener() {
      
      public void actionPerformed(ActionEvent e) {
        submitButton_actionPerformed(e);
      }
    });
    this.getContentPane().add(firstNameLabel, null);
    this.getContentPane().add(firstNameField, null);
    this.getContentPane().add(lastNameField, null);
    this.getContentPane().add(lastNameLabel, null);
    this.getContentPane().add(ageGroupLabel, null);
    this.getContentPane().add(ageGroupComboBox, null);
    this.getContentPane().add(colorLabel, null);
    this.getContentPane().add(colorList, null);
    this.getContentPane().add(maleButton, null);
    this.getContentPane().add(genderLabel, null);
    this.getContentPane().add(femaleButton, null);
    this.getContentPane().add(tvBox, null);
    this.getContentPane().add(itemLabel, null);
    this.getContentPane().add(vcrBox, null);
    this.getContentPane().add(cellPhoneBox, null);
    this.getContentPane().add(outputArea, null);
    this.getContentPane().add(submitButton, null);
  }
  
  /* Main method for testing as an application */
  public static void main(String argv[])
  {
    PersonFrame personFrame = new PersonFrame();
    personFrame.setSize(475,600);
    personFrame.setVisible(true);
  }
  
  /** Method to reset all items in the form */
  public void resetAllItems()
  {
    String blankString = " ";
    
    // reset the name text fields
    firstNameField.setText(blankString);
    lastNameField.setText(blankString);
    
    // set the age group to the first item 
    ageGroupComboBox.setSelectedIndex(0);
    
    // set the color list to none selected
    colorList.clearSelection();
    
    // set gender to male
    maleButton.setSelected(true);
    
    // unselect the items owned
    tvBox.setSelected(false);
    vcrBox.setSelected(false);
    cellPhoneBox.setSelected(false);
  }
  
  /* private method to handle the submit button being clicked */
  private void submitButton_actionPerformed(ActionEvent e) {
    
    String gender = null;
    boolean prev = false;
    
    // get the information from the form
    String name = firstNameField.getText() + " " + lastNameField.getText();
    String age = (String) ageGroupComboBox.getSelectedItem();
    String color = (String) colorList.getSelectedValue();
    
    // get the gender
    if (maleButton.isSelected())
      gender = "Male";
    else
      gender = "Female";
    
    // get the items owned
    String items = "";
    if (tvBox.isSelected())
    {
      items = items + "TV";
      prev = true;
    }
    if (vcrBox.isSelected())
      if (prev)
         items = items + ", VCR";
    else
    {
      items = items + "VCR";
      prev = true;
    }
    if (cellPhoneBox.isSelected())
      if (prev)
         items = items + ",Cell Phone";
    else
      items = items + "Cell Phone";
    
    // output the information
    outputArea.setText(name + "\n" + age + "\n" + color +
                       "\n" + gender + "\n" + items);
    
  }
}
