import javax.swing.*;
import java.awt.*;

/**
 * Class to demonstrate how to use a Box
 */
public class BoxDemo extends JPanel
{
  
  //////////////// fields //////////////////////////////////
  private JButton button1 = new JButton("One");
  private JButton button2 = new JButton("Two");
  private JButton button3 = new JButton("Three");
  private JButton button4 = new JButton("Four");
  private JButton button5 = new JButton("Five");
  
  //////////////// constructors /////////////////////////////
  public BoxDemo()
  {
    // call init to set-up the panel
    init();
  }
  
  ///////////////////// methods //////////////////////////////
  
  /**
   * Method to set-up the panel
   */
  public void init()
  {
    // set the layout manager for this panel
    this.setLayout(new FlowLayout());
    
    // create a vertical box
    Box box = new Box(BoxLayout.Y_AXIS);
    
    // add the buttons to the box
    box.add(button1);
    button1.setAlignmentX(Component.CENTER_ALIGNMENT);
    box.add(button2);
    button2.setAlignmentX(Component.CENTER_ALIGNMENT);
    box.add(button3);
    button3.setAlignmentX(Component.CENTER_ALIGNMENT);
    box.add(button4);
    button4.setAlignmentX(Component.CENTER_ALIGNMENT);
    box.add(button5);
    button5.setAlignmentX(Component.CENTER_ALIGNMENT);
    
    // add the box to the panel
    this.add(box);
  }
  
  /**
   * Main method for testing
   */
  public static void main(String[] argv)
  {
    // create an object of the LayoutDemo class
    BoxDemo demo = new BoxDemo();
    
    /* set up a JFrame (main window), add the LayoutDemo panel, 
     * set the size to as big as it needs to be, and make it visible
     */
    JFrame frame = new JFrame("Layout Demo");
    frame.getContentPane().add(demo);
    frame.pack();
    frame.setVisible(true);
  }
}