import javax.swing.*;
import java.awt.*;

/**
 * Class to demonstrate how layout managers work
 */
public class LayoutDemo extends JPanel
{
  
  //////////////// fields //////////////////////////////////
  private JButton button1 = new JButton("One is really long");
  private JButton button2 = new JButton("Two");
  private JButton button3 = new JButton("Three");
  private JButton button4 = new JButton("Four");
  private JButton button5 = new JButton("Five");
  
  //////////////// constructors /////////////////////////////
  public LayoutDemo()
  {
    // call init to set-up the panel
    init();
  }
  
  ///////////////////// methods //////////////////////////////
  
  /**
   * Method to set-up the panel
   */
  public void init()
  {
    // set the layout manager for this panel
    //this.setLayout(new FlowLayout());
    //this.setLayout(new GridLayout(3,2));
    this.setLayout(new BorderLayout());
    
    // add the buttons to this panel
    this.add(button1,BorderLayout.SOUTH);
    
    JPanel buttonPanel = new JPanel();
    buttonPanel.setLayout(new GridLayout(2,2));
    
    buttonPanel.add(button2);
    buttonPanel.add(button3);
    buttonPanel.add(button4);
    buttonPanel.add(button5);
    
    // add my button panel to the center
    this.add(buttonPanel,BorderLayout.CENTER);
  }
  
  
  /**
   * Main method for testing
   */
  public static void main(String[] argv)
  {
    LayoutDemo demo = new LayoutDemo();
    JFrame frame = new JFrame("Layout Demo");
    frame.getContentPane().add(demo);
    frame.pack();
    frame.show();
  }
}