import javax.swing.JTable;
import javax.swing.JScrollPane;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.*;
import java.awt.event.*;
import javax.swing.table.AbstractTableModel;

public class TableDemo extends JFrame
{

    public TableDemo()
    {
        super("TableDemo"); // set title of JFrame

	// create the table
        final JTable table = new JTable(new SimpleTableModel());

	// set the scrollable viewport size on the table
        table.setPreferredScrollableViewportSize(new Dimension(500, 50));

        // Create the scroll pane and add the table to it.
        JScrollPane scrollPane = new JScrollPane(table);

        //Add the scroll pane to this window.
        getContentPane().add(scrollPane, BorderLayout.CENTER);

	// handle window closing
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
    }

    /** class for the table model */
    class SimpleTableModel extends AbstractTableModel
    {
	Object[][] data = {
	   	{"Wilma","Flintstone",new Integer(1), new Boolean(true)},
   		{"Betty", "Rubble",new Integer(2), new Boolean(true)},
  		{"Gazo","Gizmo",new Integer(5),new Boolean(false)},
   		{"Fred", "Flintstone",new Integer(1), new Boolean(true)}
        };

        String[] columnNames = {"First Name",
                                "Last Name",
                                "# Children",
                                "US Citizen"};

	/** method to get the row count
         * @ return int the number of rows */
	public int getRowCount() { return data.length; }

	/** method to get the column count
         * @return int the number of columns */
        public int getColumnCount() { return columnNames.length; }

        /** method to get data at a row and column
         * @param int row the index of the row
         * @param int col the index of the column
         * @return Object the object at the passed row and column */
        public Object getValueAt(int row, int col)
	{
        	return data[row][col];
    	}

	/** method to get the column names
         @param int column index
         @return String column name for index */
	public String getColumnName(int col) {
        	return columnNames[col];
    	}

    }

    /* Main method for application */
    public static void main(String[] argv) {
        TableDemo frame = new TableDemo();
        frame.pack();
        frame.setVisible(true);
    }
}

