/*
 * File: BroccoliDemo.java
 * -----------------------
 * Program to create a recursive graphics which looks like broccoli.
 * Written November 99 by Kim Bruce
 * Modified March 02 by Andrea Danyluk
 * Modified January 05 by Kim Bruce for the ACM Task Force
 */

import java.awt.event.MouseEvent;

import acm.graphics.*;
import acm.program.GraphicsProgram;

public class BroccoliDemo extends GraphicsProgram {

  private GPoint lastPoint; // Where mouse was before last move

  private BroccoliPart plant; // Broccoli object to be drawn & moved

  private boolean broccoliPressed; // whether the broccoli has been pressed

  /*
   * Create the broccoli
   */
  public void init() {
   GCanvas canvas = getGCanvas();
    plant = new Broccoli(200,350, 80.0, 90, canvas);
    addMouseListeners();
  }

  // Get ready to move broccoli
  public void mousePressed(MouseEvent evt) {
    lastPoint = new GPoint(evt.getX(), evt.getY());
    broccoliPressed = plant.contains(lastPoint);
  }

  // Drag the broccoli around
  public void mouseDragged(MouseEvent evt) {
   GPoint current = new GPoint(evt.getX(), evt.getY());
    if (broccoliPressed) {
      plant.move(current.getX()-lastPoint.getX(), current.getY()-lastPoint.getY());
      lastPoint = current;
    }
  }
  
  public static void main(String[] args)
  {
    BroccoliDemo demo = new BroccoliDemo();
    demo.start();
  }

}