/*
 * File: DragObjects.java
 * ----------------------
 * This program demonstrates object dragging using events in the
 * objects.
 */

import acm.program.*;
import acm.graphics.*;
import java.awt.*;
import java.awt.event.*;

public class DragObjects extends GraphicsProgram {

/**
 * Initializes the program by creating the objects and adding
 * them to the canvas
 */
	public void init() {
		GRect rect = new GRect(100, 100, 150, 100);
		rect.setFilled(true);
		rect.setColor(Color.red);
		rect.addMouseListener(this);
		rect.addMouseMotionListener(this);
		add(rect);
		GOval oval = new GOval(300, 115, 100, 70);
		oval.setFilled(true);
		oval.setColor(Color.green);
		oval.addMouseListener(this);
		oval.addMouseMotionListener(this);
		add(oval);
	}

/** Called on mouse press to record the coordinates of the click */
	public void mousePressed(MouseEvent e) {
		last = e.getPoint();
	}

/** Called on mouse drag to move the object generating the event */
	public void mouseDragged(MouseEvent e) {
		GObject gobj = (GObject) e.getSource();
		Point pt = e.getPoint();
		gobj.move(pt.x - last.x, pt.y - last.y);
		last = e.getPoint();
	}

/** Called on mouse click to move this object to the front */
	public void mouseClicked(MouseEvent e) {
		((GObject) e.getSource()).sendToFront();
	}

/** Private instance variables */
	private Point last;				/* Records the last mouse click */

}
