/*
 * File: StoplightGraphics.java
 * ----------------------------
 * This program illustrates the construction of a simple GUI using a
 * GraphicsProgram as the main class.
 */

import acm.program.*;

import java.awt.event.*;

import javax.swing.*;

/**
 * This class displays three buttons at the south edge of the window.
 * Pressing a button lights the indicated lamp in the stoplight.
 */

public class StoplightGraphics extends GraphicsProgram {

/** Set the program dimensions. */
	public static final int APPLICATION_WIDTH = 350;
	public static final int APPLICATION_HEIGHT = 250;

/** Create the GUI program. */
	public StoplightGraphics() {
		add(new JButton("Green"), SOUTH);
		add(new JButton("Yellow"), SOUTH);
		add(new JButton("Red"), SOUTH);
		add(new JButton("Advance"), SOUTH);
	}

/** Runs the program to create the stoplight. */
	public void run() {
		signal = new Stoplight();
		add(signal, getWidth() / 2, getHeight() / 2);
		addActionListeners();
	}

/** Listen for a button action. */
	public void actionPerformed(ActionEvent e) {
		String command = e.getActionCommand();
		if (command.equals("Advance")) {
			signal.advance();
		} else if (command.equals("Green")) {
			signal.setState(Stoplight.GREEN);
		} else if (command.equals("Yellow")) {
			signal.setState(Stoplight.YELLOW);
		} else if (command.equals("Red")) {
			signal.setState(Stoplight.RED);
		}
	}

/* Private instance variables */

	private Stoplight signal;

}
