/*
 * File: TicTacToe.java
 * --------------------
 * This application uses TableLayout to create a 3x3 array
 * of JButtons.  Clicking on an empty button changes its label
 * to an X or an O, as appropriate.
 */

import acm.gui.*;
import acm.program.*;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

public class TicTacToe extends Program {

/** Option setting to choose which layout approach to use */
 public boolean USE_WEIGHTS = false;

/** Set the program dimensions */
 public static final int APPLICATION_WIDTH = 300;
 public static final int APPLICATION_HEIGHT = 300;

/** Font to use for the buttons */
 public static final Font BUTTON_FONT = 
   new Font("Arial", Font.BOLD, 36);

/** Initialize the application */
 public void init() {
  setLayout(new TableLayout(3, 3));
  for (int i = 0; i < 9; i++) {
   JButton button = new JButton("");
   button.setFont(BUTTON_FONT);
   if (USE_WEIGHTS) {
    add(button, "weightx=1 weighty=1");
   } else {
    add(button, "width=80 height=80");
   }
  }
  turn = 'X';
  addActionListeners();
 }

/** Respond to action events by changing the button label */
 public void actionPerformed(ActionEvent e) {
  JButton button = (JButton) e.getSource();
  if (button.getText().equals("")) {
   switch (turn) {
     case 'X': button.setText("X"); turn = 'O'; break;
     case 'O': button.setText("O"); turn = 'X'; break;
   }
  }
 }

/** Private instance variables */
 private char turn;
 
 /**
  * Method to start this program as an application 
  */
 public static void main(String[] args)
 {
   TicTacToe game = new TicTacToe();
   game.start();
 }

}
