/*
 * File: GStar.java
 * ----------------
 * This file tests subclassing of GPolygon by making a graphical object
 * whose appearance is a five-pointed star.
 */

import acm.graphics.*;

public class GStar extends GPolygon {

	public GStar(double size) {
		double sinTheta = GMath.sinDegrees(18);
		double b = 0.5 * sinTheta / (1.0 + sinTheta);
		double edge = 0.5 - b;
		addVertex(-0.5, -b);
		int angle = 0;
		for (int i = 0; i < 5; i++) {
			addPolarEdge(edge, angle);
			addPolarEdge(edge, angle + 72);
			angle -= 72;
		}
		scale(size);
	}

	public GStar(double x, double y, double size) {
		this(size);
		setLocation(x, y);
	}

}